/***************************************************************************
                          mixer.h  -  Mixer window
                             -------------------
    begin                : Sun Jan  4 17:43:34 CET 2004
    copyright            : (C) 2004 by Morten Hustveit
    email                : mortehu@ifi.uio.no
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MIXER_H
#define MIXER_H

#include <qwidget.h>

class SanetrackerDoc;
class Configuration;
class QSlider;

class Mixer : public QWidget
{
Q_OBJECT

public:

  Mixer(SanetrackerDoc&, const Configuration&);
  ~Mixer();

protected slots:

  void sliderMoved();

protected:

  QSlider** sliders;
  SanetrackerDoc& doc;
  const Configuration& config;

};

#endif

